import SafeLoader from './SafeLoader';

let AuidoManager = (
   function()
   {
     let play = function(audioSrc,audioRes,timeout)
     {
        SafeLoader.safeLoad(audioRes, function (error, asset) {
            if (error) {
               
            }
            else
            {
                audioSrc.play(audioRes);
            }
        },0,0,timeout);
     }
    
     return {
       play:play,
     };
   }
)();

export default AuidoManager;